PWD_UNMKDB(8)

NAME
pwd_unmkdb - build plain-text password file from database

SYNOPSIS
pwd_unmkdb [-i db-file] [-o out-file]

DESCRIPTION
The pwd_unmkdb utility reads through a db(3) style secure password database generated by pwd_mkdb(8). It uses this info to generate the plaintext master.passwd(5) style file that was used to create it.

By default, it reads the file spwd.db in the current directory, and outputs into master.passwd, also in the current directory.

The options are as follows:

-i db-file
    Use the specified db file as the source, instead of the default spwd.db.

-o out-file
    Output into the specified file, instead of the default master.passwd.

A simple, tool, to be sure. However, it's extremely useful if you lose or corrupt /etc/master.passwd somehow. I know I've done it a few times by fat-fingering in vipw(8), and it's surprisingly common to b0rk it when using mergemaster(8). You can recover from backups the nightly runs make, but you lose changes since then. Using pwd_unmkdb lets you get exactly what the system is using, in a format you can work with.

The pwd_unmkdb utility exits zero on success, non-zero on failure.

FILES
spwd.db
    The default secure password database file used as the source.
master.passwd
    The default flat-text password file the info is output into.

SEE ALSO
passwd(5), pwd_mkdb(8)

AUTHORS
The pwd_unmkdb program, and this manual page, were written by Matthew D. Fuller <fullermd@over-yonder.net>.